using UnityEngine;
using System.Collections;

public class Player : MonoBehaviour
{
	// Called by Seeker on successful path computation
	public void PathComplete(Vector3[] path)
	{
		// Asks iTween to move the player along the path found by Seeker
		iTween.MoveTo(gameObject, iTween.Hash
		(
			"path", path,
			"orienttopath", true,
			"axis", "y",
			"speed", 25,
			"easetype", "easeInOutSine",
			"oncomplete", "onMoveToPathComplete"
		));
	}
	
	// Called by Seeker on path computation failure
	public void PathError()
	{
		Debug.Log("No path found :(");
	}
	
	// Called by iTween when target has been reached
	public void onMoveToPathComplete()
	{
		Debug.Log("Path completed!");
	}
}
